> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /comments/{id}

GET https://api.merge.dev/api/ticketing/v1/comments/{id}

Returns a `Comment` object with the given `id`.

Reference: https://docs.merge.dev/merge-unified/ticketing/common-models/comments/retrieve

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `expand` (list of enum, optional) — Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
  - Allowed values: `contact`, `ticket`, `user`
- `include_remote_data` (boolean, optional) — Whether to include the original data Merge fetched from the third-party to produce these models.
- `include_shell_data` (boolean, optional) — Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

## Response

### 200

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `user` (string, optional, nullable) — The author of the Comment, if the author is a User. If the third party does not support specifying an author, we will append "\[Posted on behalf of \{name}]" to the comment.
- `contact` (string, optional, nullable) — The author of the Comment, if the author is a Contact.If the third party does not support specifying an author, we will append "\[Posted on behalf of \{name}]" to the comment.
- `body` (string, optional, nullable) — The comment's text body.
- `html_body` (string, optional, nullable) — The comment's text body formatted as html.
- `ticket` (string, optional, nullable) — The ticket associated with the comment.
- `is_private` (boolean, optional, nullable) — Whether or not the comment is internal.
- `remote_created_at` (datetime, optional, nullable) — When the third party's comment was created.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (CommentFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

## Types

### CommentFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

## Examples

**Response**

```json
{
  "id": "0958cbc6-6040-430a-848e-aafacbadf4ae",
  "remote_id": "19202938",
  "created_at": "2021-09-15T00:00:00Z",
  "modified_at": "2021-10-16T00:00:00Z",
  "user": "17a54124-287f-494d-965e-3c5b330c9a68",
  "contact": "dde3fb16-b8eb-483d-81c4-b78100816f15",
  "body": "When will these integrations be done? You all should use Merge.",
  "html_body": "When will these integrations be done? You all should use <b>Merge<b>.",
  "ticket": "fb8c55b6-1cb8-4b4c-9fb6-17924231619d",
  "is_private": true,
  "remote_created_at": "1990-11-10T00:00:00Z",
  "remote_was_deleted": true,
  "field_mappings": {
    "organization_defined_targets": {
      "custom_key": "custom_value"
    },
    "linked_account_defined_targets": {
      "custom_key": "custom_value"
    }
  },
  "remote_data": [
    {
      "path": "/platform-endpoint",
      "data": null
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/ticketing/v1/comments/id"

querystring = {"include_remote_data":"true"}

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/ticketing/v1/comments/id?include_remote_data=true';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/ticketing/v1/comments/id?include_remote_data=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/ticketing/v1/comments/id?include_remote_data=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/ticketing/v1/comments/id?include_remote_data=true")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/ticketing/v1/comments/id?include_remote_data=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/ticketing/v1/comments/id?include_remote_data=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/ticketing/v1/comments/id?include_remote_data=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```